<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;

class AccessAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {       
        if(Gate::allows('is-admin')) {
            // return view('admin.users.index', ['users' => User::paginate(10)]);
            return $next($request);
        }

        return redirect('/login');

    }
}
